For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • GETGet Orders
        • GETGet Buy Again Items
        • POSTBuy Now
        • GETSearch
        • POSTAdd To Cart
        • POSTCheckout
        • GETGet Addresses
Logo
Talk to usGet started
API ReferenceIntegrationsAmazon Business

Get Buy Again Items

GET
https://api.trykeet.com/v1/amazon-business/items/buy-again
GET
/v1/amazon-business/items/buy-again
$curl https://api.trykeet.com/v1/amazon-business/items/buy-again \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "items": [
4 {
5 "title": "title",
6 "price": "price",
7 "url": "url",
8 "imageUrl": "imageUrl",
9 "availability": "availability",
10 "brand": "brand",
11 "pricePerUnit": "pricePerUnit",
12 "rating": "rating",
13 "reviewCount": "reviewCount",
14 "merchant": "merchant",
15 "purchaseDate": "purchaseDate"
16 },
17 {
18 "title": "title",
19 "price": "price",
20 "url": "url",
21 "imageUrl": "imageUrl",
22 "availability": "availability",
23 "brand": "brand",
24 "pricePerUnit": "pricePerUnit",
25 "rating": "rating",
26 "reviewCount": "reviewCount",
27 "merchant": "merchant",
28 "purchaseDate": "purchaseDate"
29 }
30 ]
31}
Get a list of products that you can buy again or have purchased before.
Was this page helpful?
Previous

Buy Now

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Response

This endpoint returns an object.
statusenum
Allowed values:
itemslist of objects

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error